List All Custom Segments
Returns a list of all custom segments created by a business
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Responses
- application/json
- application/json
Request Example for get/api2/dashboard/custom_segments
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/custom_segments \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Accept: application/json'
[
{
"custom_segment_id": 1778,
"name": "Example Custom Segment One",
"description": "This segment is created as an example of custom segments.",
"created_at": "2015-06-09T13:24:02Z",
"updated_at": "2015-06-09T14:18:14Z"
},
{
"custom_segment_id": 2008,
"name": "Example Custom Segment two",
"description": "This segment is created as second example of custom segments.",
"created_at": "2015-07-27T09:50:40Z",
"updated_at": "2015-07-27T09:50:40Z"
}
]